<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <RootNamespace>K11_CNC</RootNamespace>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Images\down.png" />
    <None Remove="Images\first.png" />
    <None Remove="Images\first_dis.png" />
    <None Remove="Images\last.png" />
    <None Remove="Images\last_dis.png" />
    <None Remove="Images\next.png" />
    <None Remove="Images\next_dis.png" />
    <None Remove="Images\previous.png" />
    <None Remove="Images\previous_dis.png" />
    <None Remove="Images\right.png" />
    <None Remove="Images\run.png" />
    <None Remove="Images\run_dis.png" />
    <None Remove="Images\up.png" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="Images\down.png">
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\first.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\first_dis.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\last.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\last_dis.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\next.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\next_dis.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\previous.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\previous_dis.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\right.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\run.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\run_dis.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
    </Content>
    <Content Include="Images\up.png">
      <CustomToolNamespace>K11_CNC.MainWindow</CustomToolNamespace>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="System.IO.Ports" Version="8.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Command/" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
